ProductPluginManager (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ProductPluginManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ProductPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.ProductPluginManager

    public class ProductPluginManager

extends PluginManager

This class is a manager for ProductPlugin implementations and is also a manager of plugin managers.

Field Summary
`static int` | `DEPLOYMENT_ORDER_LAST`
`static java.io.File` | `PLUGIN_PROPERTIES_FILE`
`static java.lang.String` | `PROP_PDK_DIR`
`static java.lang.String` | `PROPERTY_PREFIX`

Fields inherited from class org.hyperic.hq.product.PluginManager
`plugins`

Constructor Summary
`ProductPluginManager()`
`ProductPluginManager(java.io.File file)`
`ProductPluginManager(java.util.Properties props)`

Method Summary
`void` | `addPluginTypes(TypeInfo[] types, ProductPlugin plugin)`
`ServerDetector` | `getAutoinventoryPlugin(java.lang.String name)`
`AutoinventoryPluginManager` | `getAutoinventoryPluginManager()`
`ConfigTrackPluginManager` | `getConfigTrackPluginManager()`
`ControlPlugin` | `getControlPlugin(java.lang.String name)`
`ControlPluginManager` | `getControlPluginManager()`
`LiveDataPluginManager` | `getLiveDataPluginManager()`
`LogTrackPluginManager` | `getLogTrackPluginManager()`
`MeasurementPlugin` | `getMeasurementPlugin(java.lang.String name)`
`MeasurementPluginManager` | `getMeasurementPluginManager()`
`java.lang.String` | `getName()`
`static java.lang.String` | `getNameFromFile(java.lang.String file)` Derive plugin name from file name-plugin.ext
`static java.lang.String` | `getPdkDir()`
`static java.lang.String` | `getPdkPluginsDir()`
`static java.lang.String` | `getPdkWorkDir()`
`PluginManager` | `getPluginManager(java.lang.String type)`
`ProductPlugin` | `getProductPlugin(java.lang.String name)`
`static java.lang.String` | `getPropertyKey(java.lang.String plugin, java.lang.String key)`
`boolean` | `getRegisterTypes()`
`RtPlugin` | `getRtPlugin(java.lang.String name)`
`RtPluginManager` | `getRtPluginManager()`
`TypeInfo` | `getTypeInfo(java.lang.String platform, java.lang.String name)` Find TypeInfo for the given platform and type name.
`void` | `init()`
`protected void` | `initPluginManagers(java.util.Properties props)`
`boolean` | `isLoadablePluginName(java.lang.String name)`
`int` | `registerCustomPlugins(java.lang.String startDir)`
`java.lang.String` | `registerPluginJar(java.lang.String jarName)` registerPluginJar() without mapping types.
`java.lang.String` | `registerPluginJar(java.lang.String jarName, java.lang.ClassLoader resourceLoader)` Load a product plugin jar.
`int` | `registerPlugins(java.lang.String path)`
`void` | `removePluginJar(java.lang.String jarName)`
`void` | `removePluginTypes(java.util.List typeInfos)`
`static void` | `setPdkDir(java.lang.String dir)`
`static void` | `setPdkPluginsDir(java.lang.String dir)`
`static void` | `setPdkWorkDir(java.lang.String dir)`
`void` | `setProperty(java.lang.String key, java.lang.String value)`
`void` | `setRegisterTypes(boolean registerTypes)` If true creates a mapping of the ProductPlugin TypeInfos, only needed on the server side.
`void` | `shutdown()`
`void` | `updatePluginJar(java.lang.String jarName)`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_PDK_DIR

    public static final java.lang.String PROP_PDK_DIR

See Also:
  Constant Field Values

### DEPLOYMENT_ORDER_LAST

    public static final int DEPLOYMENT_ORDER_LAST

See Also:
  Constant Field Values

### PLUGIN_PROPERTIES_FILE

    public static final java.io.File PLUGIN_PROPERTIES_FILE

### PROPERTY_PREFIX

    public static final java.lang.String PROPERTY_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ProductPluginManager

    public ProductPluginManager()

### ProductPluginManager

    public ProductPluginManager(java.io.File file)

### ProductPluginManager

    public ProductPluginManager(java.util.Properties props)

Method Detail

### setRegisterTypes

    public void setRegisterTypes(boolean registerTypes)

  If true creates a mapping of the ProductPlugin TypeInfos, only needed on the server side.

### getRegisterTypes

    public boolean getRegisterTypes()

### getPropertyKey

    public static java.lang.String getPropertyKey(java.lang.String plugin,
                                                  java.lang.String key)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `PluginManager`

### getNameFromFile

    public static java.lang.String getNameFromFile(java.lang.String file)

  Derive plugin name from file name-plugin.ext

### getTypeInfo

    public TypeInfo getTypeInfo(java.lang.String platform,
                                java.lang.String name)

  Find TypeInfo for the given platform and type name.

  Parameters:
    `platform` - The platform name, e.g. "Linux"
    `name` - The type name, e.g. "Apache 2.0"

### getPdkDir

    public static java.lang.String getPdkDir()

### setPdkDir

    public static void setPdkDir(java.lang.String dir)

### getPdkPluginsDir

    public static java.lang.String getPdkPluginsDir()

### setPdkPluginsDir

    public static void setPdkPluginsDir(java.lang.String dir)

### getPdkWorkDir

    public static java.lang.String getPdkWorkDir()

### setPdkWorkDir

    public static void setPdkWorkDir(java.lang.String dir)

### init

    public void init()
              throws PluginException

  Throws:
    `PluginException`

### initPluginManagers

    protected void initPluginManagers(java.util.Properties props)
                               throws PluginException

  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Overrides:
    `shutdown` in class `PluginManager`
  Throws:
    `PluginException`

### getMeasurementPluginManager

    public MeasurementPluginManager getMeasurementPluginManager()

### getControlPluginManager

    public ControlPluginManager getControlPluginManager()

### getAutoinventoryPluginManager

    public AutoinventoryPluginManager getAutoinventoryPluginManager()

### getRtPluginManager

    public RtPluginManager getRtPluginManager()

### getLogTrackPluginManager

    public LogTrackPluginManager getLogTrackPluginManager()

### getConfigTrackPluginManager

    public ConfigTrackPluginManager getConfigTrackPluginManager()

### getLiveDataPluginManager

    public LiveDataPluginManager getLiveDataPluginManager()

### getMeasurementPlugin

    public MeasurementPlugin getMeasurementPlugin(java.lang.String name)

### getControlPlugin

    public ControlPlugin getControlPlugin(java.lang.String name)

### getAutoinventoryPlugin

    public ServerDetector getAutoinventoryPlugin(java.lang.String name)

### getRtPlugin

    public RtPlugin getRtPlugin(java.lang.String name)

### getProductPlugin

    public ProductPlugin getProductPlugin(java.lang.String name)

### isLoadablePluginName

    public boolean isLoadablePluginName(java.lang.String name)

### registerPluginJar

    public java.lang.String registerPluginJar(java.lang.String jarName)
                                       throws PluginException,
                                              PluginExistsException

  registerPluginJar() without mapping types.

  Parameters:
    `jarName` - The name of the jar file on disk.
  Throws:
    `PluginException`
    `PluginExistsException`
  See Also:
    `registerPluginJar(String jarName,ClassLoader resourceLoader)`

### registerCustomPlugins

    public int registerCustomPlugins(java.lang.String startDir)
                              throws PluginException,
                                     PluginExistsException

  Throws:
    `PluginException`
    `PluginExistsException`

### registerPlugins

    public int registerPlugins(java.lang.String path)
                        throws PluginException,
                               PluginExistsException

  Throws:
    `PluginException`
    `PluginExistsException`

### registerPluginJar

    public java.lang.String registerPluginJar(java.lang.String jarName,
                                              java.lang.ClassLoader resourceLoader)
                                       throws PluginException,
                                              PluginExistsException

  Load a product plugin jar. Registers the product plugin, as defined by the Main-Class jar manifest attribute which must be a class which implements the ProductPlugin interface. Registers plugins supported for each plugin type (control, measurement, responsetime) as returned by the ProductPlugin.getPlugin method.

  Parameters:
    `jarName` - The name of the jar file on disk.
    `resourceLoader` - ClassLoader used to find jar resources.
  Returns:
    The name of the product plugin as returned by ProductPlugin.getName.
  Throws:
    `PluginException`
    `PluginExistsException`
  See Also:
    `ProductPlugin`

### addPluginTypes

    public void addPluginTypes(TypeInfo[] types,
                               ProductPlugin plugin)
                        throws PluginExistsException

  Throws:
    `PluginExistsException`

### removePluginTypes

    public void removePluginTypes(java.util.List typeInfos)

### removePluginJar

    public void removePluginJar(java.lang.String jarName)
                         throws PluginException

  Throws:
    `PluginException`

### updatePluginJar

    public void updatePluginJar(java.lang.String jarName)
                         throws PluginException

  Throws:
    `PluginException`

### getPluginManager

    public PluginManager getPluginManager(java.lang.String type)
                                   throws PluginException

  Throws:
    `PluginException`

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.